import { render } from '@testing-library/react'
import { scaleLinear } from 'd3'
import { FluidType } from 'enums'
import React from 'react'
import AxisRight from './AxisRight'

const mockProps = {
  yScale: scaleLinear(),
  fluidType: FluidType.ELECTRICITY,
  width: 40,
  marginRight: 5,
  marginTop: 5,
}

describe('AxisRight component test', () => {
  it('should render correctly AxisRight', () => {
    const { container } = render(
      <svg>
        <AxisRight {...mockProps} />
      </svg>
    )
    expect(container).toMatchSnapshot()
  })
})
