import Content from 'components/Content/Content'
import CozyBar from 'components/Header/CozyBar'
import Header from 'components/Header/Header'
import GCUContent from 'components/Options/GCU/GCUContent'
import React, { useState } from 'react'

const GCUView = () => {
  const [headerHeight, setHeaderHeight] = useState<number>(0)

  return (
    <>
      <CozyBar titleKey="common.title_gcu" displayBackArrow={true} />
      <Header
        setHeaderHeight={setHeaderHeight}
        desktopTitleKey="common.title_gcu"
        displayBackArrow={true}
      />
      <Content heightOffset={headerHeight}>
        <GCUContent />
      </Content>
    </>
  )
}

export default GCUView
